> ## Documentation Index
> Fetch the complete documentation index at: https://docs.houdiniswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get multi exchange batch transaction data

> Returns batched transaction data for all orders in a multi exchange group (only Solana supported for now).
All orders must share the same source token chain.
For Solana, batches contain up to 10 deposit addresses each.



## OpenAPI

````yaml https://api-partner.houdiniswap.com/v2/openapi.json get /exchanges/multi/{multiId}/tx
openapi: 3.0.0
info:
  title: houdiniswap-backend
  version: 2.1.1
  description: Houdiniswap Backend
  license:
    name: ISC
  contact: {}
servers:
  - url: https://api-partner.houdiniswap.com/v2
security: []
paths:
  /exchanges/multi/{multiId}/tx:
    get:
      tags:
        - Exchanges
      summary: Get multi exchange batch transaction data
      description: >-
        Returns batched transaction data for all orders in a multi exchange
        group (only Solana supported for now).

        All orders must share the same source token chain.

        For Solana, batches contain up to 10 deposit addresses each.
      operationId: GetMultiExchangeTxData
      parameters:
        - description: The multi exchange group ID
          in: path
          name: multiId
          required: true
          schema:
            type: string
            maxLength: 64
        - in: query
          name: sender
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultiExchangeTxResult'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - apiKey: []
components:
  schemas:
    MultiExchangeTxResult:
      properties:
        multiId:
          type: string
        chain:
          type: string
          description: Chain kind of the from token (e.g. "solana", "evm")
        transactions:
          items:
            $ref: '#/components/schemas/TxBatch'
          type: array
      required:
        - multiId
        - chain
        - transactions
      type: object
      additionalProperties: false
    ErrorResponse:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
      required:
        - message
        - code
      type: object
      additionalProperties: false
    ValidationError:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
        fields:
          $ref: '#/components/schemas/FieldErrors'
      required:
        - message
        - code
        - fields
      type: object
      additionalProperties: false
    TxBatch:
      properties:
        houdiniIds:
          items:
            type: string
          type: array
          description: HoudiniIds of the orders included in this batch
        txData:
          $ref: '#/components/schemas/BatchTxData'
          description: Network-specific transaction data ready to broadcast
      required:
        - houdiniIds
        - txData
      type: object
      additionalProperties: false
    FieldErrors:
      properties: {}
      type: object
      additionalProperties:
        properties:
          value: {}
          message:
            type: string
        required:
          - message
        type: object
    BatchTxData:
      $ref: '#/components/schemas/SolanaBatchTxData'
      description: Union — add new network types here as they are supported
    SolanaBatchTxData:
      properties:
        data:
          type: string
          description: Serialized transaction bytes (base64)
      required:
        - data
      type: object
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````